Home / Forums / DynamiX Support / installation error php.ini settings NOT SURE

Viewing 12 posts - 1 through 12 (of 12 total)
  • Author
    Posts

  • Ritchie Hosein
    Participant

    I just installed dynamix 3.0 to check it out and I received all this error each time. Had this problem with version 2.9 as well but Andrew fixed something in the excerpt file because it was a windows server issue. Can you anyone tell what I need to do to fix this error.

     

    Warning: is_readable() [function.is-readable]: open_basedir restriction in effect. File(C:Inetpubvhostscblengineering.co.ttolr/wp-content/plugins/C:/Inetpub/vhosts/cblengineering.co.tt/olr/wp-content/themes/DynamiX/lib/adm/inc/advanced-excerpt/advancedexcerpt-en_US.mo) is not within the allowed path(s): (C:Inetpubvhostscblengineering.co.ttolr) in C:Inetpubvhostscblengineering.co.ttolrwp-includesl10n.php on line 339

    Warning: Cannot modify header information – headers already sent by (output started at C:Inetpubvhostscblengineering.co.ttolrwp-includesl10n.php:339) in C:Inetpubvhostscblengineering.co.ttolrwp-includesoption.php on line 568

    Warning: Cannot modify header information – headers already sent by (output started at C:Inetpubvhostscblengineering.co.ttolrwp-includesl10n.php:339) in C:Inetpubvhostscblengineering.co.ttolrwp-includesoption.php on line 569


    Ritchie Hosein
    Participant

    Any help would be much appreciated willing to provide login access to fix the problem…

    Andy
    Andy
    Keymaster

    Hi Ritchie,

     

    I don’t suppose you have a copy of the Theme I modified?

     

    For the time being ( as I can’t remember what I had changed ), you can enable the advanced excerpt plugin from the WordPress > Plugins > Add New.


    Ritchie Hosein
    Participant

    please download it from here ok

     

    https://www.dropbox.com/s/52af8ils8uowyen/advanced-excerpt.php

     

    I copied this version and replaced the excerpt file it remove the first error but none of the animated sliders are working….

     

    the site is http://olr.co.tt where I am testing it out…

     

    i can provide you with login details if you wish…

     

     


    Ritchie Hosein
    Participant

    Ok some background information…..running wordpress 3.5.1 on windows 2008 Web Server IIS 7.5 and plesk panel 11.

     

    I check all the open basedir and it is pointed to the correct folder…atleast I think…I do not have this error with other themes…could be a windows hosting problem as compared with other hosting providers.

     

    So I installed the advance excerpt plugin and it remove the errors….but none of the animations are working either…

     

    as you can see if you browse the web site.

     

     


    Ritchie Hosein
    Participant

    Well like i said after installing advanced excerpt the error went away…but the sliders are not working none of them….

     

    new error is :

     

    Warning: file_exists() []: open_basedir restriction in effect. File(/C:\Inetpub\vhosts\cblengineering.co.tt\olr\Index.php/http://olr.co.tt/wp-content/uploads/2013/04/why_buy3.png) is not within the allowed path(s): (C:Inetpubvhostscblengineering.co.ttolr) in C:Inetpubvhostscblengineering.co.ttolrwp-contentthemesDynamiXlibadmfunctionsBFI_Thumb.php on line 336

     

    I looking forward to some help in this as soon as possible…regards

    Ritchie


    Ritchie Hosein
    Participant

    Warning: file_exists() []: open_basedir restriction in effect. File(/C:\Inetpub\vhosts\cblengineering.co.tt\olr\Index.php//olr.co.tt/wp-content/uploads/2013/04/why_buy3.png) is not within the allowed path(s): (C:Inetpubvhostscblengineering.co.ttolr) in C:Inetpubvhostscblengineering.co.ttolrwp-contentthemesDynamiXlibadmfunctionsBFI_Thumb.php on line 336

     

    it was not showing up properly so i place into code tags hmm not sure why…but all the backlashes disappearing in the preview…oh well…i tried..

    Andy
    Andy
    Keymaster

    Hi,

     

    I’ve noticed a couple of users running into this now. The error is reported quite heavily throughout the internet, it’s server setup related.

     

    I’d be interested to see if this guide helps?

     

    http://webloggerz.com/solved-warning-file_exists-function-file-exists-open_basedir-restriction-in-effect/


    Ritchie Hosein
    Participant

    Ok no that with many other things did not help….such as adding update_option domain name etc… in the functions file….

     

    however, the problem was plesk panel based upgrading to version 11.09 solve the problem. I was then able to set open_basedir to none and that worked.

     

    this all has to do with how plesk structures the customer accounts domains……

     

    Thanks for all the help. Just on a side note if you look at the website there is a line to the left where the menu supposed to be…Is that how it suppose to show. Just asking.??

     

     

    Andy
    Andy
    Keymaster

    Hi,

     

    I think I’ve resolved the issue, try replacing the following file:

     

    DynamiX/lib/adm/functions/BFI_Thumb.php 

     

    Unzip and replace with:

     

    http://help.themeva.com/tmp/BFI_Thumb.php.zip


    Ritchie Hosein
    Participant

    ok setting back the open_basedir  to default with your BFI_Thumb file works as well.

     

    But I am also not sure if the update to plesk 11.09 have anything to do with it as well…As i was running 10.4.4 when i had the problem.

     

     

    Andy
    Andy
    Keymaster

    It may have been related, however a few users have had the same issue, the above file will become the standard file for future releases.

Viewing 12 posts - 1 through 12 (of 12 total)

You must be logged in to reply to this topic.